lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ryan Yacyshyn <ryan.yacys...@gmail.com>
Subject Re: Building Solr greater than 6.2.1
Date Mon, 01 May 2017 12:34:17 GMT
Thanks Alex, it's working now. I had to update Java.

Regards,
Ryan



On Mon, 1 May 2017 at 14:48 Alexandre Rafalovitch <arafalov@gmail.com>
wrote:

> Make sure your Java is latest update. Seriously....
>
> Also, if still failing, try blowing away your Ivy cache.
>
> Regards,
>     Alex
>
> On 1 May 2017 6:34 AM, "Ryan Yacyshyn" <ryan.yacyshyn@gmail.com> wrote:
>
> > Hi all,
> >
> > I'm trying to build Solr 6.5.1 but it's is failing. I'm able to
> > successfully build 6.2.1. I've tried 6.4.0, 6.4.2, and 6.5.1 but the
> build
> > fails. I'm not sure what the issue could be. I'm running `ant server` in
> > the solr dir and this is where it fails:
> >
> > ivy-configure:
> > [ivy:configure] :: loading settings :: file =
> > /Users/rye/lucene-solr2/lucene/top-level-ivy-settings.xml
> >
> > resolve:
> >
> > common.init:
> >
> > compile-lucene-core:
> >
> > init:
> >
> > -clover.disable:
> >
> > -clover.load:
> >
> > -clover.classpath:
> >
> > -clover.setup:
> >
> > clover:
> >
> > compile-core:
> >
> > -clover.disable:
> >
> > -clover.load:
> >
> > -clover.classpath:
> >
> > -clover.setup:
> >
> > clover:
> >
> > common.compile-core:
> >     [mkdir] Created dir:
> > /Users/rye/lucene-solr2/lucene/build/test-framework/classes/java
> >     [javac] Compiling 186 source files to
> > /Users/rye/lucene-solr2/lucene/build/test-framework/classes/java
> >     [javac]
> > /Users/rye/lucene-solr2/lucene/test-framework/src/
> > java/org/apache/lucene/util/RamUsageTester.java:164:
> > error: no suitable method found for
> > collect(Collector<Object,CAP#1,List<Object>>)
> >     [javac]                   .collect(Collectors.toList());
> >     [javac]                   ^
> >     [javac]     method Stream.<R#1>collect(Supplier<R#1>,BiConsumer<R#1,?
> > super CAP#2>,BiConsumer<R#1,R#1>) is not applicable
> >     [javac]       (cannot infer type-variable(s) R#1
> >     [javac]         (actual and formal argument lists differ in length))
> >     [javac]     method Stream.<R#2,A>collect(Collector<? super
> > CAP#2,A,R#2>) is not applicable
> >     [javac]       (cannot infer type-variable(s) R#2,A,CAP#3,T#2
> >     [javac]         (argument mismatch;
> Collector<CAP#2,CAP#4,List<CAP#2>>
> > cannot be converted to Collector<? super CAP#2,CAP#4,List<CAP#2>>))
> >     [javac]   where R#1,T#1,R#2,A,T#2 are type-variables:
> >     [javac]     R#1 extends Object declared in method
> > <R#1>collect(Supplier<R#1>,BiConsumer<R#1,? super
> > T#1>,BiConsumer<R#1,R#1>)
> >     [javac]     T#1 extends Object declared in interface Stream
> >     [javac]     R#2 extends Object declared in method
> > <R#2,A>collect(Collector<? super T#1,A,R#2>)
> >     [javac]     A extends Object declared in method
> > <R#2,A>collect(Collector<? super T#1,A,R#2>)
> >     [javac]     T#2 extends Object declared in method <T#2>toList()
> >     [javac]   where CAP#1,CAP#2,CAP#3,CAP#4 are fresh type-variables:
> >     [javac]     CAP#1 extends Object from capture of ?
> >     [javac]     CAP#2 extends Object from capture of ?
> >     [javac]     CAP#3 extends Object from capture of ?
> >     [javac]     CAP#4 extends Object from capture of ?
> >     [javac] Note: Some input files use or override a deprecated API.
> >     [javac] Note: Recompile with -Xlint:deprecation for details.
> >     [javac] 1 error
> >
> > BUILD FAILED
> > /Users/rye/lucene-solr2/solr/build.xml:463: The following error occurred
> > while executing this line:
> > /Users/rye/lucene-solr2/solr/common-build.xml:476: The following error
> > occurred while executing this line:
> > /Users/rye/lucene-solr2/solr/contrib/map-reduce/build.xml:53: The
> > following
> > error occurred while executing this line:
> > /Users/rye/lucene-solr2/solr/contrib/morphlines-cell/build.xml:45: The
> > following error occurred while executing this line:
> > /Users/rye/lucene-solr2/solr/common-build.xml:443: The following error
> > occurred while executing this line:
> > /Users/rye/lucene-solr2/solr/test-framework/build.xml:35: The following
> > error occurred while executing this line:
> > /Users/rye/lucene-solr2/lucene/common-build.xml:767: The following error
> > occurred while executing this line:
> > /Users/rye/lucene-solr2/lucene/common-build.xml:501: The following error
> > occurred while executing this line:
> > /Users/rye/lucene-solr2/lucene/common-build.xml:1967: Compile failed; see
> > the compiler error output for details.
> >
> > Total time: 2 minutes 28 seconds
> >
> > Java version:
> >
> > java version "1.8.0_25"
> > Java(TM) SE Runtime Environment (build 1.8.0_25-b17)
> > Java HotSpot(TM) 64-Bit Server VM (build 25.25-b02, mixed mode)
> >
> > ant: Apache Ant(TM) version 1.10.0 compiled on December 27 2016
> > ivy: ivy-2.3.0.jar
> >
> > Any suggestions I can try?
> >
> > Regards,
> > Ryan
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message